package com.cim.idm.wmspackage.material.oqa.data;

import com.cim.idm.framework.orm.info.KeyInfo;
import com.cim.idm.framework.orm.info.UserColumnMark;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class MaterialOQANumsKey extends FieldAccessor implements KeyInfo {
	
	private String site;

	private String materialSpecName;
	private String supplierNo;

	@UserColumnMark
	private String userColumn1;
	
	public MaterialOQANumsKey(){}
	
	public MaterialOQANumsKey(String site,String materialSpecName,String supplierNo) {
		this.site = site;
		this.materialSpecName = materialSpecName;
		this.supplierNo = supplierNo;
	}

	public String getSite() {
		return site;
	}

	public void setSite(String site) {
		this.site = site;
	}

	public String getMaterialSpecName() {
		return materialSpecName;
	}

	public void setMaterialSpecName(String materialSpecName) {
		this.materialSpecName = materialSpecName;
	}

	public String getSupplierNo() {
		return supplierNo;
	}

	public void setSupplierNo(String supplierNo) {
		this.supplierNo = supplierNo;
	}

	
	
}
